Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2108376 - F35FailsToInstall: python3-vsts
Summary: F35FailsToInstall: python3-vsts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-vsts
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Major Hayden 🤠
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-07-18 22:42 UTC by Miro Hrončok
Modified: 2022-08-05 01:34 UTC (History)
2 users (show)

Fixed In Version: python-vsts-0.1.25-8.fc35 python-vsts-0.1.25-8.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-04 23:25:17 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-07-18 22:42:47 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-vsts) Fails To Install in Fedora 35:

can't install python3-vsts:
  - nothing provides (python3.10dist(msrest) < 0.7 with python3.10dist(msrest) >= 0.6) needed by python3-vsts-0.1.25-2.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-35-x86_64 --config-opts mirrored=False install python3-vsts


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-07-27 14:56:04 UTC
FEDORA-2022-28cf3c9e2d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-28cf3c9e2d

Comment 2 Fedora Update System 2022-07-27 14:56:06 UTC
FEDORA-2022-4cb5155a6d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4cb5155a6d

Comment 3 Fedora Update System 2022-07-28 02:32:57 UTC
FEDORA-2022-4cb5155a6d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-4cb5155a6d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4cb5155a6d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-07-28 02:37:24 UTC
FEDORA-2022-28cf3c9e2d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-28cf3c9e2d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-28cf3c9e2d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-08-04 23:25:17 UTC
FEDORA-2022-28cf3c9e2d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-08-05 01:34:02 UTC
FEDORA-2022-4cb5155a6d has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.